//pub mod common;
mod translate;
mod replicate;
mod rotate;
mod flip_horizontal;
mod flip_vertical;
mod grid;

use crate::point::Point;
use crate::worldstate::WorldState;

// re-export transformers to be abe to use it directly from transformer::
pub use translate::Translate;
pub use replicate::Replicate;
pub use rotate::Rotate;
pub use flip_horizontal::FlipHorizontal;
pub use flip_vertical::FlipVertical;
pub use grid::Grid;

pub trait Transformers {
    fn apply(
	&self,
	point_list: &[Point],
	world_state: &WorldState
    ) -> Vec<Point>;
}
